{ config, pkgs, lib, ... }: {

  services.syncthing = {
    enable = true;
    overrideFolders = true;
    user = "media";
    group = "media";
    # make some folders send only
    settings.folders = {
      audiobooks.type = "sendonly";
      lost-fotos.type = "sendonly";
      lectures.type = "sendonly";
    };
    folders = {
      # on encrypted drive
      # ------------------
      logseq = {
        enable = true;
        path = "/syncthing/logseq";
      };
      art = {
        enable = true;
        path = "/syncthing/art";
      };
      private = {
        enable = true;
        path = "/syncthing/private";
      };
      password-store = {
        enable = true;
        path = "/syncthing/password-store";
      };
      desktop = {
        enable = true;
        path = "/syncthing/desktop";
      };
      finance = {
        enable = true;
        path = "/syncthing/finance";
      };
      fotos = {
        enable = true;
        path = "/syncthing/fotos";
      };
      books = {
        enable = true;
        path = "/syncthing/books";
      };
      lost-fotos = {
        enable = true;
        path = "/syncthing/lost-fotos.ct";
      };
      music-projects = {
        enable = true;
        path = "/syncthing/music-projects";
      };
      audiobooks = {
        enable = true;
        path = "/media/audio-books";
      };
      lectures = {
        enable = true;
        path = "/media/lectures";
      };
    };
  };

  services.permown."/syncthing" = {
    owner = "media";
    group = "media";
    directory-mode = "755";
    file-mode = "755";
  };

}
